# $Revision: 1.26 $, $Date: 2005/09/27 11:42:37 $
Summary:	This is an input plugin for XMMS which plays MP+ encoded audio files
Summary(pl):	Wtyczka wejciowa dla XMMS-a odtwarzajcy pliki MP+ (MPC)
Name:		xmms-input-musepack
Version:	1.2
Release:	1
License:	LGPL
Group:		X11/Applications/Sound
Source0:	http://files.musepack.net/linux/plugins/xmms-musepack-%{version}.tar.bz2
# Source0-md5:	ff7f5f9122d09ad63af9c564046086cf
URL:		http://www.musepack.net/
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	gtk+-devel >= 1.2.2
BuildRequires:	libmpcdec-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	sed >= 4.0
BuildRequires:	taglib-devel
BuildRequires:	xmms-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
This plugin for XMMS can play audio files which are encoded with
Andree Buschmann's encoder Musepack. These files have the filename
postfixes MPC, MP+ or MPP.

%description -l pl
Ta wtyczka XMMS-a odtwarza pliki dwikowe zakodowane koderem Musepack
autorstwa Andree Buschmanna. Te pliki maj rozszerzenie MPC, MP+ lub
MPP.

%prep
%setup -q -n xmms-musepack-%{version}

sed -i -e '/-O3 -fomit-frame-pointer/d' configure

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{xmms_input_plugindir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{xmms_input_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-input-musepack.spec,v $
Revision 1.26  2005/09/27 11:42:37  havner
- BR: taglib-devel

Revision 1.25  2005/09/11 12:11:55  wolf
- 1.2

Revision 1.24  2005/08/02 11:00:45  blekot
- ver 1.2 RC1 to rebuild with libmpcdec 1.2, STBR

Revision 1.23  2005/08/02 08:47:27  blekot
- rel up to rebuild with libmpcdec

Revision 1.22  2005/03/18 11:05:41  mkierus
- updated to 1.1.2

Revision 1.21  2005/01/05 14:15:31  kolodko
- from ver 1.1 it's different project, up URL

Revision 1.20  2004/12/11 20:52:32  qboosh
- no -fomit-frame-pointer in debug builds
- files fix, BRs (uhm, glib2 and gtk+ 1.x... does it work together?)

Revision 1.19  2004/12/09 22:48:49  mkierus
- up to 1.1

Revision 1.18  2004/10/30 10:55:53  paladine
- unification, capitalization, better desc

Revision 1.17  2004/10/28 12:59:31  paladine
- "MPC" unification

Revision 1.16  2004/08/17 10:44:28  qboosh
- typo, back to proper CC

Revision 1.15  2004/08/13 22:20:20  kolodko
- up to 1.00

Revision 1.14  2004/04/14 12:21:31  gotar
- removed R: xmms (can be used with mplayer), release++

Revision 1.13  2003/11/22 17:35:21  qboosh
- compile as PIC (fixes build on alpha and probably ppc); release 4

Revision 1.12  2003/11/11 01:33:24  ankry
- caps unification, other cosmetics

Revision 1.11  2003/08/18 08:09:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/08/11 07:40:53  qboosh
- simplified Source0 URL

Revision 1.9  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.8  2003/07/13 09:47:50  migo
- fixed URL:

Revision 1.7  2003/06/22 10:59:31  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.6  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.4  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.3  2002/09/16 01:37:11  qboosh
- pl description, release 2

Revision 1.2  2002/09/03 17:29:44  kloczek
- finished.

Revision 1.1  2002/09/03 13:31:14  wojrus
- initial spec
- cannot build
